summaryrefslogtreecommitdiffstats
path: root/academic/pspp/pspp.SlackBuild
diff options
context:
space:
mode:
author Vitor Borrego <vitor@bitarus.allowed.org>2016-08-28 18:30:33 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-28 18:30:33 +0700
commit736e8291094eb2ecc7e57e6e053012dfec5bc566 (patch)
tree5cc6c0dc7568d620777d0afd3a47eca094aaf0c9 /academic/pspp/pspp.SlackBuild
parent8bcfcb0c5c88ebf053899691748e125370f44217 (diff)
downloadslackbuilds-736e8291094eb2ecc7e57e6e053012dfec5bc566.tar.gz
slackbuilds-736e8291094eb2ecc7e57e6e053012dfec5bc566.tar.xz
academic/pspp: Updated for version 0.10.2.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic/pspp/pspp.SlackBuild')
-rw-r--r--academic/pspp/pspp.SlackBuild24
1 files changed, 13 insertions, 11 deletions
diff --git a/academic/pspp/pspp.SlackBuild b/academic/pspp/pspp.SlackBuild
index e76d3e3ce2..3642b060a2 100644
--- a/academic/pspp/pspp.SlackBuild
+++ b/academic/pspp/pspp.SlackBuild
@@ -1,10 +1,10 @@
#!/bin/sh
-# Slackware build script for pspp
+# Slackware build script for pspp
-# Copyright 2014 Vitor Borrego, Corroios, Portugal
+# Copyright 2016 Vitor Borrego, Corroios, Portugal
# All rights reserved.
-#
+
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
@@ -23,13 +23,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=pspp
-VERSION=${VERSION:-0.8.5}
+VERSION=${VERSION:-0.10.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +40,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -54,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -69,7 +69,7 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-LDFLAGS="-ltermcap" \
+LIBS="-ltermcap -lgmp" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -79,9 +79,11 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux
+ --disable-static \
+ --build=$ARCH-slackware-linux \
+ gl_cv_header_wchar_h_correct_inline=yes
-make
+make
make install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \